# norootforbuild
%define pkg_name    geoip
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-geoip
Version:	1.0.9
Release:	2.1
License:	PHP
Group:		Productivity/Networking/Web/Servers
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	GeoIP-devel php5-devel
Requires:	php5 = %{php_version}
URL:		http://pecl.php.net/geoip
Source:		http://pecl.php.net/package/geoip/%{pkg_name}-%{version}.tgz
Summary:	PHP module for MaxMind GeoIP libraries

%description

This PHP extension allows you to find the location of an IP address - City, State,
Country, Longitude, Latitude, and other information as all, such as ISP and connection type.
For more info, please visit Maxmind's website.

Authors:
---------

  	Olivier Hill <ohill@php.net>

%prep
%setup -q -n %{pkg_name}-%{version}
#%patch0

%build

%{__mkdir} %{name}

/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
%endif

export CFLAGS

../configure --with-geoip=%{_usr} --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable geoip extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/geoip.ini
echo 'extension = geoip.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/geoip.ini
echo 'geoip.database_standard = /usr/share/GeoIP/GeoIP.dat' >> %{buildroot}%{_sysconfdir}/php5/conf.d/geoip.ini


%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/geoip.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/geoip.ini

%doc README ChangeLog

%changelog -n php5-geoip
* Sun Jan 26 2014 Carsten Schoene <cs@linux-administrator.com> - 1.0.9-1
- update to svn snaprelease 1.0.9
 - Add geoip_setup_custom_directory() to setup custom directories per request.
 - Remove E_NOTICES for IPs not found in database.
 - Add geoip_asnum_by_name
 - Add geoip_domain_by_name

* Mon Oct 24 2011 Carsten Schoene <cs@linux-administrator.com> - 1.0.8-1
- update to version 1.0.8
 - Windows support
 - Fix segfault with newer geoip libraries and geoip_db_get_all_info() (bug #60066)
 - Use X-Macros for repeated code
 - Updated tests

* Wed Mar 11 2009 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 1.0.7
 - Do not issue a NOTICE when values don't exist for timezone and region name (as added in 1.0.4)
 - Fix a compile issue on FreeBSD
 - Try to be bulletproof on library features detection.

* Tue Jan 20 2009 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 1.0.6
 - Fixing compile bug when multiple GeoIP libs are installed, bug #15372

* Fri Dec 19 2008 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 1.0.5
 - Small bug in phpinfo() when printing version number could crash PHP

* Fri Dec 19 2008 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 1.0.4
 - Fix memleaks, bug #14851
 - Small patch for MacPorts by jhohle
 - Add geoip_time_zone_by_country_and_region() and geoip_region_name_by_code() (thanks to Sid Dunayer)
 - Add continent_code field for City Database, only if using GeoIP lib 1.4.3 or newer

* Thu Jun 12 2008 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 1.0.3
 - Change license from PHP 3.0 to PHP 3.01 for Debian?
 - Added geoip_continent_code_by_name() to get continent instead of country
 - Fixing a small casting issue (compiler warning)
 - Fixing missing entries in geoip_record_by_name(), bug #14131

* Thu Nov 16 2006 - soporte@onfocus.cl
- very first build
